\section{\LARGE Installation and Examples \label{sec:installation}}

\subsection{\LARGE Installation}
\noindent
The PAX kernel code resides in  /afs/cern.ch/cms/ as the external 
{\bf \red package pax}.
In the following sections we present examples of PAX in combination with 
{\bf\red ORCA}.
PAX can equally well be used within other frameworks, such
as Monte Carlo generators.

\noindent
Get your ORCA release (this example uses the tcsh shell), e.g., \\
{\bf\blue Follow the instructions of the ORCA userguide section
for the impatient user} 
(access e.g. via the CMS fast navigator web page) to get a correct setup.
Go to the {\bf\red src} directory of your checkout area and get the
{\bf\red Examples} directory via cvs.
You will find the {\bf\red ExPaxAnalysis} directory, that contains the example analysis.
\\
The ExPaxAnalysis package contains example analysis code, a
BuildFile, and a {\bf\red .orcarc} file.\\
\\
By executing\\ 
 {\bf\red scram b}\\
the project should compile correctly. \\
\\
After inserting the correct database path in the {\bf\red 
  .orcarc} file you are ready for a testrun of the example analysis by executing
{\bf\red  ExPaxAnalysis}. 
Depending on the values specified in the  {\bf\red 
  .orcarc} file, the example analysis writes an output file with event
interpretations and a file with histograms.
~\\~\\
\noindent{\bf\LARGE Structure of the example analysis}
~\\~\\
\noindent The {\bf\red ExPaxAnalysis.cpp} file contains the 
{\bf\red static PKBuilder$<$PaxDemoObserver$>$}, necessary 
for {\bf\red ORCA}. \\
\\
{\bf\red interface/PaxDemoObserver.h} declares the observer class and
implements the {\bf\red upDate} method which is mandatory for the
user analysis.  In the constructor of  {\bf\red PaxDemoObserver} the
{\bf\red PaxDemoAnalysis} and {\bf\red PaxDemoFill} classes
are instantiated. To show the modular structure of PAX, the filler and
the algorithms of the analysis are designed completely independent of each
other. Therefore it is possible to apply the identical algorithms
to a different source of data.\\
\\
In {\bf\red PaxDemoAnalysisMakeW.cc} we provide an algorithm to reconstruct W bosons from their 
leptonic decay. As mentioned before, the algorithm itself does not
know anything outside of PAX. However, the CMS specific information
stored in the {\bf\red PaxExperimentClass} is still present after
usage of the algorithm.\\
\\
The methods of {\bf\red PaxDemoFill} provide the interface to {\bf\red
ORCA} reconstruction and to generator data.\\
\\
After running the example, the leptonic decay chain of two possible 
solutions for a reconstructed W boson should be printed on the screen
and a file containing four histograms is written
in the example directory (Fig.\ref{fig:pax_example}).
\begin{figure}[hhh]
\setlength{\unitlength}{1cm}
\begin{picture}(15.0,10.5)
\put(2,0.4)
{\includegraphics[width=13cm]{cms_example}}
\end{picture}
\caption{ Results of the example module
\label{fig:pax_example}}
\end{figure}
\noindent
In section~\ref{examples} the single steps of the example are explained in detail.
%\noindent
%Note that currently reading and writing of PAX event interpretations
%to a file is directly dependent on ROOT I/O.
%Within CDF software, the dependence on the ROOT version is automatically
%taken care off.

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "paxguide"
%%% End: 

% LocalWords:  endl FindItemByKey PaxExperimentClass iterec impactParameter ei
% LocalWords:  MakeW PrintDecayTree OutFile PAXdataOutput eiRecParticles InFile
% LocalWords:  PAXdataInput EndOfFile ReadEvent IsEmpty
